Bug 636727 - Dashboard Edit Mode options should be abstracted away from content window
Dashboard Edit Mode options should be abstracted away from content window
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
:
Depends On:
Blocks: rhq4 jon30-dashboard jon3
  Show dependency treegraph
 
Reported: 2010-09-22 23:52 EDT by Corey Welton
Modified: 2011-05-23 21:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:08:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2010-09-22 23:52:17 EDT
Description of problem:
Just a minor UI nit.  You don't ever want to design something as to allow the configuration area itself to get obscured by some none-too-wise UI settings you might have setup.  You want it easy to find your way back.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Open edit mode for a dashboard
2. In the "Background" field, enter "black" and hit <tab>
3. View results
  
Actual results:

Dark as midnight and nigh impossible to read the field headers for the various options that Edit Mode provides.

Expected results:

These should probably be in a separate, immutable div, cordoned off from whatever smurfy colors someone wants to use
Additional info:
Comment 1 Jay Shaughnessy 2011-03-31 09:59:41 EDT
The background button is now always easy to see, so on chance of a bad color selection it's easy to click again, get the palette and choose a more suitable color.

No more work is planned here, I recommend immediate close.
Comment 2 Mike Foley 2011-04-21 14:26:19 EDT
tested by changing the background to black.  i could still see the background button, so i could not get into a state that visually prevented me from getting out of.
Comment 3 Corey Welton 2011-05-23 21:08:53 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.